Bug 1164584 - Firewalld throws exeption when trying to remove destination from service through d-bus
Summary: Firewalld throws exeption when trying to remove destination from service thro...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: firewalld
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1017034
TreeView+ depends on / blocked
 
Reported: 2014-11-16 18:41 UTC by Jakub Jelen
Modified: 2015-01-06 06:15 UTC (History)
2 users (show)

Fixed In Version: firewalld-0.3.13-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-06 06:13:03 UTC
Type: Bug


Attachments (Terms of Use)

Description Jakub Jelen 2014-11-16 18:41:38 UTC
Description of problem:
When I was doing coverage testing of D-Bus API, this error appeared:
Error org.fedoraproject.FirewallD1.Exception: 'dict' object has no attribute 'remove'

After some digging, I found that it is pretty deterministic and not only in upstream, but also in my F20 release.


Version-Release number of selected component (if applicable):
firewalld-0.3.12-1.fc20.noarch
git upstream

How reproducible:
deterministic

Steps to Reproduce:
$ dbus-send --system --dest=org.fedoraproject.FirewallD1 --print-reply --type=method_call /org/fedoraproject/FirewallD1/config/service/1 org.fedoraproject.FirewallD1.config.service.setDestination string:ipv6 string:"::8"
> method return sender=:1.1960 -> dest=:1.2113 reply_serial=2
$ dbus-send --system --dest=org.fedoraproject.FirewallD1 --print-reply --type=method_call /org/fedoraproject/FirewallD1/config/service/1 org.fedoraproject.FirewallD1.config.service.removeDestination string:ipv6
> Error org.fedoraproject.FirewallD1.Exception: 'dict' object has no attribute 'remove'

Actual results:
Python exception

Expected results:
should remove destination

Comment 2 Fedora Update System 2014-12-04 18:45:02 UTC
firewalld-0.3.13-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/firewalld-0.3.13-1.fc21

Comment 3 Fedora Update System 2014-12-04 18:45:36 UTC
firewalld-0.3.13-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/firewalld-0.3.13-1.fc20

Comment 4 Fedora Update System 2014-12-05 00:48:10 UTC
Package firewalld-0.3.13-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing firewalld-0.3.13-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-16322/firewalld-0.3.13-1.fc21
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-01-06 06:13:03 UTC
firewalld-0.3.13-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-01-06 06:15:49 UTC
firewalld-0.3.13-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.